APIThreads
Link thread to issues or projects
Link a thread to one or more issues and/or projects via Linear's customer-need pipeline. Requires Linear to be connected and the threads:write scope.
POST
/threads/{thread_id}/customer-needscurl -X POST "https://productlane.com/api/v2/threads/{thread_id}/customer-needs" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"issue_ids": [
"string"
],
"project_ids": [
"string"
],
"priority": 0
}'Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Parameters
thread_idstringpathrequired
Body
application/json
issue_idsstring[]Productlane issue ids to link this thread to. Combined with
project_ids, at least one id must be provided.project_idsstring[]Productlane project ids to link this thread to. Combined with
issue_ids, at least one id must be provided.priorityintegerLinear's
CustomerNeed.importanceapplied to every created link. Defaults to 0.
Response
application/json
Successful response
customer_needsobject[]required
{
"customer_needs": [
{
"id": "string",
"thread_id": "string",
"project_id": "string",
"issue_id": "string",
"priority": 0,
"created_at": "string",
"updated_at": "string"
}
]
}